Payments.AddAch
Try it in Swagger
Endpoint
- Method:
POST
- Route:
Payments/AddACH
- Authentication:
Authorize
Request Schema
| Header |
Required |
Notes |
X-Api-Key |
Required when tenant is not resolved by subdomain |
Resolves the tenant/customer database. |
Authorization: Bearer {token} |
Required for authorized endpoints |
Get a token from Auth/Token or Session/Create. |
JSON Body
Body type: AddAchRequestDto
| Field |
Type |
Required |
Max Length |
Notes |
customerCode |
string |
Yes |
|
|
routingNumber |
string |
Yes |
|
|
accountNumber |
string |
Yes |
|
|
bankName |
string |
Yes |
|
|
isCheckingAccount |
bool |
No |
|
|
nickName |
string |
Yes |
|
|
Request Sample
{
"customerCode": "string",
"routingNumber": "string",
"accountNumber": "string",
"bankName": "string",
"isCheckingAccount": false,
"nickName": "string"
}
Expected Response Schema
Status Codes
| Status |
Notes |
200 OK |
Returned by the controller for this operation. |
401 Unauthorized |
The caller lacks payment permission for the requested customer. Body is a plain string message: "You do not have permissions to add a payment". |
Success Body
Response type: AddAchResultDto
| Field |
Type |
Max Length |
Notes |
isSuccess |
bool |
|
|
newACHId |
int |
|
|
error |
string |
|
|
When Customer Web Options has Disable Add ACH Payment Type enabled, isSuccess is false and error is "Adding ACH payment types is disabled for this organization."
Response Sample
{
"isSuccess": false,
"newACHId": 123,
"error": "Card was declined."
}